IMAP Markers

Operations of the Connector Gateway API. Paths are relative to your deployment's API host.

DELETE /api/connector-gateway-api/imap/refusals/{key}

Clear this organisation's recorded refusal for an IMAP fetch window so it is retried on the next run. Idempotent.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
keypathstringyesComposite IMAP fetch-cursor key named in the refusal error.
StatusDescriptionBody
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto